Rails rails-i18n gem이 필요한 이유

Posted by negabaro kim on Saturday, September 19, 2020 Tags: rails/i18n   1 minute read

신규 프로젝트 진행시 rails-i18n gem을 추가하지 않으면 아래와 같은 에러에 조우할때가 있다.

ActiveRecord::RecordInvalid: translation missing: ja.activerecord.errors.messages.record_invalid

rails-i18n을 추가하면 공통/보편적으로 사용하는 메시지들,(예를들어 필수항목 미입력시 %{attribute}에 내용을 입력해 주세요"라든지) 을 로드해주므로 매우 편하다.

Link